Get the task jobs schema
import requests
url = "https://{FUSION_HOST}/job-config/tasks/_schema"
response = requests.get(url)
print(response.text)HttpResponse<String> response = Unirest.get("https://{FUSION_HOST}/job-config/tasks/_schema")
.asString();const options = {method: 'GET'};
fetch('https://{FUSION_HOST}/job-config/tasks/_schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION_HOST}/job-config/tasks/_schema")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{FUSION_HOST}/job-config/tasks/_schema"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION_HOST}/job-config/tasks/_schema",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request GET \
--url https://{FUSION_HOST}/job-config/tasks/_schema{
"type": "object",
"properties": {},
"oneOf": [
{
"type": "object",
"title": "Log Cleanup",
"description": "Use this job when you want to delete old logs.",
"required": [
"id",
"collection",
"type"
],
"properties": {
"id": {
"type": "string",
"title": "ID",
"maxLength": 128,
"pattern": "^[A-Za-z0-9_\\-]+$"
},
"collection": {
"type": "string",
"title": "Logs collection",
"enum": [
"system_logs"
]
},
"days": {
"type": "integer",
"title": "Delete logs older than N days",
"default": 30
},
"query": {
"type": "string",
"title": "Query to match docs to delete",
"description": "Default value excludes audit log entries to preserve audit information such as login / logout events.",
"default": "-logger_class_s:\"com.lucidworks.cloud.gateway.audit\""
},
"type": {
"type": "string",
"enum": [
"system-logs-cleanup"
],
"default": "system-logs-cleanup",
"hints": [
"readonly"
]
}
},
"additionalProperties": false,
"category": "Other",
"categoryPriority": 1,
"unsafe": false
},
{
"type": "object",
"title": "REST Call",
"description": "Run arbitrary REST/HTTP/Solr command.",
"required": [
"id",
"callParams",
"type"
],
"properties": {
"id": {
"type": "string",
"title": "ID",
"maxLength": 128,
"pattern": "^[A-Za-z0-9_\\-]+$"
},
"callParams": {
"type": "object",
"title": "Call Parameters",
"required": [
"uri",
"method"
],
"properties": {
"uri": {
"type": "string",
"title": "Endpoint URI"
},
"method": {
"type": "string",
"title": "Call method",
"description": "One of GET, POST, PUT, or DELETE.",
"enum": [
"get",
"put",
"post",
"delete"
]
},
"queryParams": {
"type": "object",
"title": "Query parameters",
"properties": {},
"additionalProperties": {
"type": "string"
}
},
"headers": {
"type": "object",
"title": "Request protocol headers",
"properties": {},
"additionalProperties": {
"type": "string"
}
},
"entity": {
"type": "string",
"title": "Request entity (as string)",
"hints": [
"code",
"lengthy"
]
}
}
},
"type": {
"type": "string",
"enum": [
"rest-call"
],
"default": "rest-call",
"hints": [
"readonly"
]
}
},
"additionalProperties": false,
"category": "Other",
"categoryPriority": 1,
"unsafe": false
},
{
"type": "object",
"title": "Download Blob",
"description": "Download and update Blob.",
"required": [
"id",
"url",
"blobId",
"type"
],
"properties": {
"id": {
"type": "string",
"title": "ID",
"maxLength": 128,
"pattern": "^[A-Za-z0-9_\\-]+$"
},
"url": {
"type": "string",
"title": "Url to download a Blob from"
},
"blobId": {
"type": "string",
"title": "Blob id"
},
"type": {
"type": "string",
"enum": [
"blob-download"
],
"default": "blob-download",
"hints": [
"readonly"
]
}
},
"additionalProperties": false,
"category": "Other",
"categoryPriority": 1,
"unsafe": false
}
]
}Get the task jobs schema
Fetch the configuration schema for task jobs.
GET
/
job-config
/
tasks
/
_schema
Get the task jobs schema
import requests
url = "https://{FUSION_HOST}/job-config/tasks/_schema"
response = requests.get(url)
print(response.text)HttpResponse<String> response = Unirest.get("https://{FUSION_HOST}/job-config/tasks/_schema")
.asString();const options = {method: 'GET'};
fetch('https://{FUSION_HOST}/job-config/tasks/_schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION_HOST}/job-config/tasks/_schema")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{FUSION_HOST}/job-config/tasks/_schema"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION_HOST}/job-config/tasks/_schema",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Response
200 - */*
OK
Available options:
string, number, integer, boolean, object, array, null, ref Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I